Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWorldPointPicker Class Reference

`#include <vtkWorldPointPicker.h>`

Inheritance diagram for vtkWorldPointPicker:

[legend]
Collaboration diagram for vtkWorldPointPicker:

[legend]
List of all members.

## Detailed Description

find world x,y,z corresponding to display x,y,z

Date:
  2002/08/22 18:39:32

Revision:
  1.23

vtkWorldPointPicker is used to find the x,y,z world coordinate of a screen x,y,z. This picker cannot pick actors and/or mappers, it simply determines an x-y-z coordinate in world space. (It will always return a x-y-z, even if the selection point is not over a prop/actor.)

Warning:
  The PickMethod() is not invoked, but StartPickMethod() and EndPickMethod() are.

See also:
  vtkPropPicker vtkPicker vtkCellPicker vtkPointPicker

Events:
  vtkCommand::EndPickEvent vtkCommand::StartPickEvent

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (62%)
  - Schroeder, Will (25%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkWorldPointPicker.cxx)`
  - .`h` (`/Rendering/vtkWorldPointPicker.h)`

Tests:
  vtkWorldPointPicker (Tests)

Definition at line 58 of file vtkWorldPointPicker.h.

## Public Types
typedef vtkAbstractPicker | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Pick (float selectionX, float selectionY, float selectionZ, vtkRenderer *renderer)
int | Pick (float selectionPt[3], vtkRenderer *renderer)
## Static Public Methods
vtkWorldPointPicker * | New ()
int | IsTypeOf (const char *type)
vtkWorldPointPicker * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWorldPointPicker ()
| ~vtkWorldPointPicker ()

## Member Typedef Documentation

typedef vtkAbstractPicker vtkWorldPointPicker::Superclass

| Reimplemented from vtkAbstractPicker. Definition at line 62 of file vtkWorldPointPicker.h.

## Constructor & Destructor Documentation

vtkWorldPointPicker::vtkWorldPointPicker | ( |  | ) | `[protected]`

vtkWorldPointPicker::~vtkWorldPointPicker | ( |  | ) | `[inline, protected]`

| Definition at line 75 of file vtkWorldPointPicker.h.

## Member Function Documentation

vtkWorldPointPicker* vtkWorldPointPicker::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkWorldPointPicker::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkAbstractPicker.

int vtkWorldPointPicker::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractPicker.

virtual int vtkWorldPointPicker::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkAbstractPicker.

vtkWorldPointPicker* vtkWorldPointPicker::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkAbstractPicker.

void vtkWorldPointPicker::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkAbstractPicker.

int vtkWorldPointPicker::Pick | ( | float | selectionX,
|  | float | selectionY,
|  | float | selectionZ,
|  | vtkRenderer * | renderer
| ) | `[virtual]`

| Perform the pick. (This method overload's the superclass.) Implements vtkAbstractPicker.

int vtkWorldPointPicker::Pick | ( | float | selectionPt[3],
|  | vtkRenderer * | renderer
| ) | `[inline]`

| Perform the pick. (This method overload's the superclass.) Reimplemented from vtkAbstractPicker. Definition at line 69 of file vtkWorldPointPicker.h. References vtkAbstractPicker::Pick().

The documentation for this class was generated from the following file:

- Rendering/vtkWorldPointPicker.h